#ifndef CMWCOMPLIGHT_H
#define CMWCOMPLIGHT_H

#include "cmwidget.h"
namespace Ui {
class CMWCompLight;
}

class CMWCompLight : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCompLight(QWidget *parent = 0);
    ~CMWCompLight();
    void MFresh();
    void MInit();
    void MApply();
private slots:

    void on_horizontalSlider_DLight2X_valueChanged(int value);

    void on_horizontalSlider_SLight2X_valueChanged(int value);

    void on_horizontalSlider_DLight6X_valueChanged(int value);

    void on_horizontalSlider_SLight6X_valueChanged(int value);

    void on_horizontalSlider_DLight4X_valueChanged(int value);

    void on_horizontalSlider_SLight4X_valueChanged(int value);

private:
    Ui::CMWCompLight *ui;
};

#endif // CMWCOMPLIGHT_H
